package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (BdCorp)实体类
 *
 * @author makejava
 * @since 2023-09-06 14:47:18
 */
public class BdCorpEntity extends BaseEntity {

    private String begindate;
    private String briefintro;
    private String busibegindate;
    private String busienddate;
    private String chargedeptcode;
    private String chargedeptname;
    private String citycounty;
    private String corptype;
    private String countryarea;
    private String createdate;
    private String def1;
    private String def10;
    private String def11;
    private String def12;
    private String def13;
    private String def14;
    private String def15;
    private String def16;
    private String def17;
    private String def18;
    private String def19;
    private String def2;
    private String def20;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private Integer dr;
    private String ecotype;
    private String email1;
    private String email2;
    private String email3;
    private String enddate;
    private String fathercorp;
    private String fax1;
    private String fax2;
    private String foreignname;
    private String holdflag;
    private String idnumber;
    private String industry;
    private String innercode;
    private String ishasaccount;
    private String isseal;
    private String isuseretail;
    private String isworkingunit;
    private String legalbodycode;
    private String linkman1;
    private String linkman2;
    private String linkman3;
    private String maxinnercode;
    private String memo;
    private Double ownersharerate;
    private String phone1;
    private String phone2;
    private String phone3;
    private String pkCorp;
    private String pkCorpkind;
    private String pkCurrency;
    private String postaddr;
    private String province;
    private Double regcapital;
    private String region;
    private String saleaddr;
    private String sealeddate;
    private Integer showorder;
    private String taxcode;
    private Integer taxpayertype;
    private String tenantNo;
    private String ts;
    private String unitcode;
    private String unitdistinction;
    private String unitname;
    private String unitshortname;
    private String url;
    private String zipcode;


    public String getBegindate() {
        return begindate;
    }

    public void setBegindate(String begindate) {
        this.begindate = begindate;
    }

    public String getBriefintro() {
        return briefintro;
    }

    public void setBriefintro(String briefintro) {
        this.briefintro = briefintro;
    }

    public String getBusibegindate() {
        return busibegindate;
    }

    public void setBusibegindate(String busibegindate) {
        this.busibegindate = busibegindate;
    }

    public String getBusienddate() {
        return busienddate;
    }

    public void setBusienddate(String busienddate) {
        this.busienddate = busienddate;
    }

    public String getChargedeptcode() {
        return chargedeptcode;
    }

    public void setChargedeptcode(String chargedeptcode) {
        this.chargedeptcode = chargedeptcode;
    }

    public String getChargedeptname() {
        return chargedeptname;
    }

    public void setChargedeptname(String chargedeptname) {
        this.chargedeptname = chargedeptname;
    }

    public String getCitycounty() {
        return citycounty;
    }

    public void setCitycounty(String citycounty) {
        this.citycounty = citycounty;
    }

    public String getCorptype() {
        return corptype;
    }

    public void setCorptype(String corptype) {
        this.corptype = corptype;
    }

    public String getCountryarea() {
        return countryarea;
    }

    public void setCountryarea(String countryarea) {
        this.countryarea = countryarea;
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef11() {
        return def11;
    }

    public void setDef11(String def11) {
        this.def11 = def11;
    }

    public String getDef12() {
        return def12;
    }

    public void setDef12(String def12) {
        this.def12 = def12;
    }

    public String getDef13() {
        return def13;
    }

    public void setDef13(String def13) {
        this.def13 = def13;
    }

    public String getDef14() {
        return def14;
    }

    public void setDef14(String def14) {
        this.def14 = def14;
    }

    public String getDef15() {
        return def15;
    }

    public void setDef15(String def15) {
        this.def15 = def15;
    }

    public String getDef16() {
        return def16;
    }

    public void setDef16(String def16) {
        this.def16 = def16;
    }

    public String getDef17() {
        return def17;
    }

    public void setDef17(String def17) {
        this.def17 = def17;
    }

    public String getDef18() {
        return def18;
    }

    public void setDef18(String def18) {
        this.def18 = def18;
    }

    public String getDef19() {
        return def19;
    }

    public void setDef19(String def19) {
        this.def19 = def19;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef20() {
        return def20;
    }

    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getEcotype() {
        return ecotype;
    }

    public void setEcotype(String ecotype) {
        this.ecotype = ecotype;
    }

    public String getEmail1() {
        return email1;
    }

    public void setEmail1(String email1) {
        this.email1 = email1;
    }

    public String getEmail2() {
        return email2;
    }

    public void setEmail2(String email2) {
        this.email2 = email2;
    }

    public String getEmail3() {
        return email3;
    }

    public void setEmail3(String email3) {
        this.email3 = email3;
    }

    public String getEnddate() {
        return enddate;
    }

    public void setEnddate(String enddate) {
        this.enddate = enddate;
    }

    public String getFathercorp() {
        return fathercorp;
    }

    public void setFathercorp(String fathercorp) {
        this.fathercorp = fathercorp;
    }

    public String getFax1() {
        return fax1;
    }

    public void setFax1(String fax1) {
        this.fax1 = fax1;
    }

    public String getFax2() {
        return fax2;
    }

    public void setFax2(String fax2) {
        this.fax2 = fax2;
    }

    public String getForeignname() {
        return foreignname;
    }

    public void setForeignname(String foreignname) {
        this.foreignname = foreignname;
    }

    public String getHoldflag() {
        return holdflag;
    }

    public void setHoldflag(String holdflag) {
        this.holdflag = holdflag;
    }

    public String getIdnumber() {
        return idnumber;
    }

    public void setIdnumber(String idnumber) {
        this.idnumber = idnumber;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getInnercode() {
        return innercode;
    }

    public void setInnercode(String innercode) {
        this.innercode = innercode;
    }

    public String getIshasaccount() {
        return ishasaccount;
    }

    public void setIshasaccount(String ishasaccount) {
        this.ishasaccount = ishasaccount;
    }

    public String getIsseal() {
        return isseal;
    }

    public void setIsseal(String isseal) {
        this.isseal = isseal;
    }

    public String getIsuseretail() {
        return isuseretail;
    }

    public void setIsuseretail(String isuseretail) {
        this.isuseretail = isuseretail;
    }

    public String getIsworkingunit() {
        return isworkingunit;
    }

    public void setIsworkingunit(String isworkingunit) {
        this.isworkingunit = isworkingunit;
    }

    public String getLegalbodycode() {
        return legalbodycode;
    }

    public void setLegalbodycode(String legalbodycode) {
        this.legalbodycode = legalbodycode;
    }

    public String getLinkman1() {
        return linkman1;
    }

    public void setLinkman1(String linkman1) {
        this.linkman1 = linkman1;
    }

    public String getLinkman2() {
        return linkman2;
    }

    public void setLinkman2(String linkman2) {
        this.linkman2 = linkman2;
    }

    public String getLinkman3() {
        return linkman3;
    }

    public void setLinkman3(String linkman3) {
        this.linkman3 = linkman3;
    }

    public String getMaxinnercode() {
        return maxinnercode;
    }

    public void setMaxinnercode(String maxinnercode) {
        this.maxinnercode = maxinnercode;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Double getOwnersharerate() {
        return ownersharerate;
    }

    public void setOwnersharerate(Double ownersharerate) {
        this.ownersharerate = ownersharerate;
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    public String getPhone3() {
        return phone3;
    }

    public void setPhone3(String phone3) {
        this.phone3 = phone3;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkCorpkind() {
        return pkCorpkind;
    }

    public void setPkCorpkind(String pkCorpkind) {
        this.pkCorpkind = pkCorpkind;
    }

    public String getPkCurrency() {
        return pkCurrency;
    }

    public void setPkCurrency(String pkCurrency) {
        this.pkCurrency = pkCurrency;
    }

    public String getPostaddr() {
        return postaddr;
    }

    public void setPostaddr(String postaddr) {
        this.postaddr = postaddr;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Double getRegcapital() {
        return regcapital;
    }

    public void setRegcapital(Double regcapital) {
        this.regcapital = regcapital;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getSaleaddr() {
        return saleaddr;
    }

    public void setSaleaddr(String saleaddr) {
        this.saleaddr = saleaddr;
    }

    public String getSealeddate() {
        return sealeddate;
    }

    public void setSealeddate(String sealeddate) {
        this.sealeddate = sealeddate;
    }

    public Integer getShoworder() {
        return showorder;
    }

    public void setShoworder(Integer showorder) {
        this.showorder = showorder;
    }

    public String getTaxcode() {
        return taxcode;
    }

    public void setTaxcode(String taxcode) {
        this.taxcode = taxcode;
    }

    public Integer getTaxpayertype() {
        return taxpayertype;
    }

    public void setTaxpayertype(Integer taxpayertype) {
        this.taxpayertype = taxpayertype;
    }

    public String getTenantNo() {
        return tenantNo;
    }

    public void setTenantNo(String tenantNo) {
        this.tenantNo = tenantNo;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getUnitcode() {
        return unitcode;
    }

    public void setUnitcode(String unitcode) {
        this.unitcode = unitcode;
    }

    public String getUnitdistinction() {
        return unitdistinction;
    }

    public void setUnitdistinction(String unitdistinction) {
        this.unitdistinction = unitdistinction;
    }

    public String getUnitname() {
        return unitname;
    }

    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }

    public String getUnitshortname() {
        return unitshortname;
    }

    public void setUnitshortname(String unitshortname) {
        this.unitshortname = unitshortname;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getZipcode() {
        return zipcode;
    }

    public void setZipcode(String zipcode) {
        this.zipcode = zipcode;
    }

}

